fixef.coxme {coxme} | R Documentation

## Extraction functions for Coxme

### Description

Extract the fixed effects, randome effects, variance of the fixed effects, or variance of the random effects from a coxme model.

### Usage

    ## S3 method for class 'coxme'
    fixef(object, ...)
    ## S3 method for class 'coxme'
    ranef(object, ...)
    ## S3 method for class 'coxme'
    vcov(object, ...)
    ## S3 method for class 'coxme'
    VarCorr(x, ...)

### Arguments

`object` | an object inheriting from class `coxme` representing the result of a mixed effects Cox model.
`x` | an object inheriting from class `coxme` representing the result of a mixed effects Cox model.
`...` | some methods for this generic require additional arguments. None are used in this method.

### Value

the fixed effects are a vector and the variance of the fixed effects is a matrix. The random effects will be a list with one element for each random effects terms, as will be their variance.

### Author(s)

Terry Therneau

### See Also

`coxme`, `random.effects`, `fixed.effects`

### Examples

    rat1 <- coxme(Surv(time, status) ~ rx + (1|litter), rats)
    fixed.effects(rat1)
    vcov(rat1)
    random.effects(rat1)[[1]]  #one value for each of the 50 litters
    VarCorr(rat1)

[Package coxme version 2.2-14 Index]